﻿/// @file config.h
///
/// config.h
///
#ifndef _CONFIG_H_
#define _CONFIG_H_

#include "common.h"
#include <wx/wx.h>

#define MAX_RECENT_FILES 10

class Config
{
private:
	wxString ini_file;

	wxString wav_file_path;
	int      sample_rate;
	int      sample_bits;
	int      baud;
	bool     auto_baud;
	wxArrayString mRecentFiles;

public:
	Config();
	~Config();
	void SetFileName(const wxString &file);
	void Load(const wxString &file);
	void Load();
	void Save();
	const wxString &GetFilePath() const { return wav_file_path; }
	int GetSampleRate() const { return sample_rate; }
	void SetSampleRate(int val) { sample_rate = val; }
	int GetSampleBits() const { return sample_bits; }
	void SetSampleBits(int val) { sample_bits = val; }
	int GetBaud() const { return baud; }
	void SetBaud(int val) { baud = val; }
	bool GetAutoBaud() const { return auto_baud; }
	void SetAutoBaud(bool val) { auto_baud = val; }
	void AddRecentFile(const wxString &val);
	wxString &GetRecentFile();
	void GetRecentFiles(wxArrayString &vals);
};

extern Config gConfig;

#endif /* _CONFIG_H_ */
