﻿/// @file rftypebox.h
///
/// specify file type
///
#ifndef _RFTYPEBOX_H_
#define _RFTYPEBOX_H_

#include "common.h"
#include <wx/wx.h>
#include <wx/dialog.h>

class RfTypeBox : public wxDialog
{
private:
	UINT8  data_format;
	UINT8  data_type;

	wxString rf_name;
	int sel_file_type;

	wxRadioButton *radFiles[2];

#ifndef USE_RADIOBOX
	wxRadioButton *radBasic;
	wxRadioButton *radData;
	wxRadioButton *radMachine;
#else
	wxRadioBox *radTypes[1];
#endif
	wxRadioButton *radBinary;
	wxRadioButton *radAscii;
	wxTextCtrl *txtEdit;

	void init_dialog(bool init_data);
	void term_dialog();

	void select_file_type();
	void select_data_format();
	bool chk_str(wxString &str);

public:
	RfTypeBox();
	RfTypeBox(wxWindow* parent, wxWindowID id = 0);

	enum {
		IDC_RF_TAPEFILE = 1,
		IDC_RF_REALFILE,
#ifndef USE_RADIOBOX
		IDC_RF_BASIC,
		IDC_RF_DATA,
		IDC_RF_MACHINE,
#else
		IDC_RF_TYPE1,
#endif
		IDC_RF_BINARY,
		IDC_RF_ASCII,
		IDC_RF_EDIT,
	};

#ifndef USE_RADIOBOX
	void OnClickDataFormat(wxCommandEvent& event);
#else
	void OnClickType1(wxCommandEvent& event);
#endif
	void OnClickFileType(wxCommandEvent& event);
	void OnClickOk(wxCommandEvent& event);

	int		getRfDataName(UINT8 *);
	wxString getRfName() { return rf_name; }
	UINT8	getRfDataFormat() { return data_format; }
	UINT8	getRfDataType()   { return data_type; }
	int     getRfDataFileType() { return sel_file_type; }

	int		showRftypeBox(_TCHAR *name, bool init_data = true);
	int     showRftypeBox(wxString &name, bool init_data = true);

	DECLARE_EVENT_TABLE()
};

#endif /* _RFTYPEBOX_H_ */
